# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'yardi/version'
UNWANTED = %r{^(test|spec|features)/}

Gem::Specification.new do |spec|
  spec.name = 'yardi'
  spec.version = Yardi::VERSION
  spec.authors = ['Heidi Galbraith']
  spec.email = ['heidi@apartmentlist.com']

  spec.summary = %(A ruby client for v4 of Yardi's API)
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(UNWANTED) }
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'faraday', '~> 0.9'
  spec.add_runtime_dependency 'multi_xml', '~> 0.5' # Parse XML responses
  spec.add_runtime_dependency 'nokogiri', '~> 1.6' # Build XML for requests
  spec.add_runtime_dependency 'ox', '~> 2.3' # Parser we want with MultiXML

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'pry-byebug', '~> 3.4'
  spec.add_development_dependency 'rake', '~> 11.2'
  spec.add_development_dependency 'rspec', '~> 3.4'
  spec.add_development_dependency 'rubocop', '~> 0.65'
  spec.add_development_dependency 'webmock', '~> 1.21'
end
